Name:           ember
Version:        0.5.5
Release:        1%{?dist}
Summary:        3D client for WorldForge

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.worldforge.org/dev/eng/clients/ember
Source0:        http://downloads.sourceforge.net/worldforge/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel tinyxml-devel DevIL-devel cegui-devel ogre-devel
BuildRequires:  lua-devel tolua++-devel openal-devel freealut-devel
BuildRequires:  atlascpp-devel eris-devel mercator-devel varconf-devel wfmath-devel libwfut-devel
BuildRequires:  desktop-file-utils

Requires:       %{name}-media = %{version}

%description
Ember is a client for MMORPGs using the WorldForge system.
It uses the Ogre 3D engine with CEGUI.


%prep
%setup -q

# Encoding fix
iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS


%build
%configure --disable-static --disable-freeimage-check
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
    --remove-category="Application" --add-category="RolePlaying" \
    --delete-original --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/icons/worldforge/ember.png \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# Don't need zero length files
rm -f $RPM_BUILD_ROOT%{_datadir}/ember/media/shared/modeldefinitions/{drystan_archer,vehicles,outdoor_structures,buildings,fencegate,palissade,house_A,choppingblockA,choppingblockB,mushroom,male,humanoid}.modeldef
rm -f $RPM_BUILD_ROOT%{_datadir}/ember/media/shared/common/resources/ogre/scripts/materials/smoke.material


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/ember.png
# datadir/%{name} is owned by ember-media
%{_datadir}/%{name}/carpenter
%{_datadir}/%{name}/jesus
# datadir/%{name}/media is owned by ember-media
# datadir/%{name}/media/shared is owned by ember-media
# datadir/%{name}/media/shared/gui is owned by ember-media
%{_datadir}/%{name}/media/shared/gui/*.xsd
# datadir/%{name}/media/shared/gui/cegui is owned by ember-media
%{_datadir}/%{name}/media/shared/gui/cegui/datafiles
%{_datadir}/%{name}/media/shared/entityrecipes
%{_datadir}/%{name}/media/shared/modeldefinitions
%{_datadir}/%{name}/media/shared/scripting
%{_datadir}/%{name}/media/shared/sounddefinitions
# datadir/%{name}/media/user is owned by ember-media

# Not using noreplace: having old config file can make things not working as was intended. User can override settings with config in homedir.
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*



%changelog
* Sat Dec 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.5-1
- Update to 0.5.5

* Wed Dec 03 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-5
- Removed program name from description
- Rebuild for new CEGUI

* Mon Nov 04 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-4
- Rebuild for new OGRE
- Including lost entityrecipes and sounddefinitions to media
- Running unit checks during build

* Thu Oct 23 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-3
- Workaround of crash in Caelum with new OGRE

* Thu Oct 02 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-2
- Update for new OGRE

* Tue Sep 09 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-1
- Update to 0.5.4.

* Tue Jul 08 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.3-1
- Update to 0.5.3.

* Fri Jun 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.2-1
- Inital spec for Fedora.
